CrownPanel API Overview
CrownPanel's API allows you to manage your VPS programmatically - including actions like power control, hostname changes, snapshot management, and more.
- ๐ API Key: Retrieve your key from Account Settings
- ๐ Endpoint: All API requests must be made via the
POSTmethod to https://api.crownpanel.com
You can use the API with:
- PHP scripts
- CLI tools like
curl - Monitoring systems
- Custom control panels or dashboards
Ideal for automation, integration into management panels, or performing bulk operations across multiple VPS instances.
๐ VPS Task Log
Use this API call to retrieve the task history (e.g., boot, shutdown, reboot, etc.) for a specific VPS instance.
This helps track recent actions performed on your VPS.
๐ Key(s) and variable(s) required for this call
Response examples
If your API_KEY is valid, you would get the following output,
'[{"task_id":"1021627","task":"Shutdown","task_added_on":"2022-04-18 03:38:08","task_status":"1"},{"task_id":"1021626","task":"Reboot","task_added_on":"2022-04-18 03:31:36","task_status":"1"}]'
If your API_KEY is invalid, you would get the following output,
'{"query_status":"Error","query":"verify","query_result":""}'
CURL Example
๐ Other Language Examples
If you prefer to use another language or environment, here are examples for PHP, Python and Node.js:
PHP Example
Python Example
โ๏ธ Install (only once): Required to install necessary libraries before running the code.
Node.js Example
โ๏ธ Install (only once): Required to install necessary libraries before running the code.
๐ Related API Calls
- โน๏ธ VPS Information
- ๐ผ Boot VPS
- ๐ป Shutdown VPS
- ๐ Reboot VPS
- ๐งจ Hard Reboot VPS
- ๐ผ๏ธ VPS Snapshot List
Need help? Visit our Support Portal or use our live chat.

